Update the HTML content of a landing page.
curl --request PUT \
--url https://api.parallellabs.app/api/v0/landing-pages/{page_id}/content \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"htmlContent": "<string>"
}
'import requests
url = "https://api.parallellabs.app/api/v0/landing-pages/{page_id}/content"
payload = {
"companyId": "<string>",
"htmlContent": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyId: '<string>', htmlContent: '<string>'})
};
fetch('https://api.parallellabs.app/api/v0/landing-pages/{page_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"description": "<string>",
"domainId": "<string>",
"htmlContent": "<string>",
"id": "<string>",
"isPublished": true,
"listId": "<string>",
"name": "<string>",
"projectId": "<string>",
"publicSlug": "<string>",
"publicUrl": "<string>",
"seoMetadata": {},
"status": "<string>",
"updated": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Landing Pages
Update the HTML content of a landing page.
PUT
/
api
/
v0
/
landing-pages
/
{page_id}
/
content
Update the HTML content of a landing page.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Body
application/json
HTML content
Response
Updated landing page
Landing page object
Creation timestamp
Description
Custom domain ID
HTML content
Landing page ID
Whether page is published
Attached smart list ID
Landing page name
Associated project ID
Public URL slug
Full public URL
SEO metadata
Status: draft, published, archived
Last update timestamp
Save chat history for a landing page.Get the current preview HTML content from the landing page's project.
⌘I

